// squares.cpp: определяет точку входа для консольного приложения.
//

#include <iostream>
#include <fstream>

using namespace std;


int main()
{
//	ifstream fin("input.txt");
	int n,m,s=0;
	cin>>n>>m;
	for (int i=1; i<=n && i<=m; i++)
		s+=(n-i+1)*(m-i+1);
	cout<<s<<endl;

	return 0;
}

